Subject: Re: Step Forward Michigan MHA# 15338
From: "Michael B" <[email-masked]>
To: "Place, Stacey \(MSHDA\)" <[email-masked]>
Date: Tue, 17 Oct 2017 16:05:48 -0400

Hello Stacey.
I wanted to reach out to you to find out what is needed to get a release of the lean from the account we have. I believe the 5 year period completed in September. I was thinking someone told me that I would need to request the release that it was not automatically sent out. Would you be able to look into this for me and let me know the status?
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: Place, Stacey (MSHDA) 
Sent: Thursday, June 23, 2016 10:43 AM
To: [email-masked] 
Subject: Step Forward Michigan MHA# 15338

Michael, how can I help you?

 

Stacey Place

Final Documents / Post Servicing Team Lead, Step Forward Michigan

Michigan Homeowner Assistance Nonprofit Housing Corporation (MHA)

In collaboration with the Michigan State Housing Development Authority (MSHDA)

866-946-7432 Customer Service

517-335-2612 Direct

517-636-6170 Facsimile

[email-masked]

For information about Michigan's Help For Hardest Hit Program, visit www.stepforwardmichigan.org